module.exports = {
    env: {
        browser: true
        // node: true,
        // commonjs: true,
        // es2021: true,
        // jest: true
    },
    extends: 'eslint:recommended',
    parserOptions: {
        ecmaVersion: 12
    },
    rules: {
        'no-unused-vars': ['error', { argsIgnorePattern: '^_' }],
        'no-console': ['error'],
        'linebreak-style': ['error', 'unix'],
        indent: ['error', 4]
    }
}

/*
module.exports = {
  root: true,
  env: {
    browser: true
  },
  parserOptions: {
    sourceType: 'module',
    parser: 'babel-eslint'
  },
  extends: [
    // https://github.com/vuejs/eslint-plugin-vue#bulb-rules
    'plugin:vue/recommended',
    // https://github.com/prettier/eslint-config-prettier
    'prettier',
    'prettier/vue'
  ],
  rules: {
    'vue/html-closing-bracket-newline': 'off',
    // TODO: delete this rules?
    'vue/component-name-in-template-casing': [
      0,
      'PascalCase' | 'kebab-case',
      { registeredComponentsOnly: true }
    ],
    'vue/custom-event-name-casing': 'warn',
    'vue/no-unused-components': [
      1,
      {
        ignoreWhenBindingPresent: true
      }
    ],
    'vue/no-unused-vars': 'warn',
    'vue/no-mutating-props': 'warn'
  },
  overrides: [
    {
      files: ['** /*.unit.js'],
      env: {
        jest: true
      },
      globals: {
        mount: false,
        shallowMount: false,
        shallowMountView: false,
        createComponentMocks: false,
        createModuleStore: false
      }
    }
  ]
}
*/
